metadata:
    name: iperf
    format: "Lava-Test Test Definition 1.0"
    description: "iperf is a tool for active measurements of the maximum
                  achievable bandwidth on IP networks."
    maintainer:
        - milosz.wasilewski@linaro.org
    os:
        - debian
        - ubuntu
        - fedora
        - centos
        - openembedded
    scope:
        - performance
    environment:
        - lava-test-shell
    devices:
        - hi6220-hikey
        - apq8016-sbc
        - mustang
        - moonshot
        - thunderX
        - d03
        - d05
        - soca9
        - rzn1d

params:
    SKIP_INSTALL: "false"
    SERVER_ETHERNET_DEVICE: "eth0"

run:
    steps:
        - cd ./automated/linux/iperf/
        - ./iperf.sh -s "${SKIP_INSTALL}" -e "${SERVER_ETHERNET_DEVICE}"
        - ../../utils/send-to-lava.sh ./output/result.txt
